Data Fields

# _DMXConfigPair Struct Reference

`#include <dmxparse.h>`

## Data Fields
int | token
int | line
const char * | comment
int | x
int | y
int | xsign
int | ysign

## Detailed Description

Stores parsed pairs (e.g., x y)

## Field Documentation

const char* _DMXConfigPair::comment

Referenced by dmxConfigCreatePair(), dmxConfigFreePair(), and dmxConfigPrintPair().

int _DMXConfigPair::line

Referenced by dmxConfigCreatePair().

int _DMXConfigPair::token

Referenced by dmxConfigCreatePair(), and dmxConfigPrintPair().

int _DMXConfigPair::x

Referenced by dmxConfigCopyData(), dmxConfigCreateDisplay(), dmxConfigCreatePair(), dmxConfigCreateVirtual(), dmxConfigCreateWall(), dmxConfigPrintDisplay(), dmxConfigPrintPair(), and dmxConfigPrintVirtual().

int _DMXConfigPair::xsign

Referenced by dmxConfigCreateDisplay(), dmxConfigCreatePair(), dmxConfigPrintDisplay(), and dmxConfigPrintPair().

int _DMXConfigPair::y

Referenced by dmxConfigCopyData(), dmxConfigCreateDisplay(), dmxConfigCreatePair(), dmxConfigCreateVirtual(), dmxConfigCreateWall(), dmxConfigPrintDisplay(), dmxConfigPrintPair(), and dmxConfigPrintVirtual().

int _DMXConfigPair::ysign

Referenced by dmxConfigCreateDisplay(), dmxConfigCreatePair(), dmxConfigPrintDisplay(), and dmxConfigPrintPair().

The documentation for this struct was generated from the following file:

- dmxparse.h